use crate::prelude::*;

use std::os::raw::c_void;
use std::ptr;

#[repr(C)]
#[derive(Debug)]
pub struct VkPhysicalDeviceAccelerationStructureFeaturesKHR {
    pub sType: VkStructureType,
    pub pNext: *mut c_void,
    pub accelerationStructure: VkBool32,
    pub accelerationStructureCaptureReplay: VkBool32,
    pub accelerationStructureIndirectBuild: VkBool32,
    pub accelerationStructureHostCommands: VkBool32,
    pub descriptorBindingAccelerationStructureUpdateAfterBind: VkBool32,
}

impl Default for VkPhysicalDeviceAccelerationStructureFeaturesKHR {
    fn default() -> Self {
        VkPhysicalDeviceAccelerationStructureFeaturesKHR {
            sType: VK_STRUCTURE_TYPE_PHYSICAL_DEVICE_ACCELERATION_STRUCTURE_FEATURES_KHR,
            pNext: ptr::null_mut(),
            accelerationStructure: VK_FALSE,
            accelerationStructureCaptureReplay: VK_FALSE,
            accelerationStructureIndirectBuild: VK_FALSE,
            accelerationStructureHostCommands: VK_FALSE,
            descriptorBindingAccelerationStructureUpdateAfterBind: VK_FALSE,
        }
    }
}

unsafe impl Sync for VkPhysicalDeviceAccelerationStructureFeaturesKHR {}
unsafe impl Send for VkPhysicalDeviceAccelerationStructureFeaturesKHR {}
